Package org.apache.jmeter.gui.util

# Class IconToolbarBean

java.lang.Object
org.apache.jmeter.gui.util.IconToolbarBean

public final class IconToolbarBean extends Object

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getActionName()`
  `String`
  `getActionNameResolve()`
  Resolve action name ID declared in icon set file to ActionNames value
  `int`
  `getHeight()`
  `String`
  `getI18nKey()`
  `String`
  `getIconPath()`
  `String`
  `getIconPathPressed()`
  `int`
  `getWidth()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### getActionNameResolve

    public String getActionNameResolve()
    Resolve action name ID declared in icon set file to ActionNames value
    Returns:
      the resolve actionName

  - ### getI18nKey

    public String getI18nKey()
    Returns:
      the i18nKey

  - ### getActionName

    public String getActionName()
    Returns:
      the actionName

  - ### getIconPath

    public String getIconPath()
    Returns:
      the iconPath

  - ### getIconPathPressed

    public String getIconPathPressed()
    Returns:
      the iconPathPressed

  - ### getWidth

    public int getWidth()
    Returns:
      desired icon width

  - ### getHeight

    public int getHeight()
    Returns:
      desired icon height